> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cash Shift by ID

> Retrieve a single cash shift. The identifier is a UUID.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /finance/cash-shifts/{id}
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
  - name: Inventory
  - name: Finance
paths:
  /finance/cash-shifts/{id}:
    get:
      tags:
        - Finance
      summary: Get Cash Shift by ID
      description: Retrieve a single cash shift. The identifier is a UUID.
      parameters:
        - name: id
          in: path
          description: Cash shift UUID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Request completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/CashShift'
components:
  schemas:
    CashShift:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Cash shifts key on a UUID, not an integer.
        venue_id:
          type: integer
        cid:
          type: string
          nullable: true
        shift_no:
          type: integer
        terminal_id:
          type: integer
          nullable: true
        opened_by_user_id:
          type: integer
          nullable: true
        closed_by_user_id:
          type: integer
          nullable: true
        initial_amount:
          type: number
        closed_amount:
          type: number
          nullable: true
        opening_diff:
          type: number
          nullable: true
        diff:
          type: number
          nullable: true
        status:
          type: string
        description:
          type: string
          nullable: true
        accounting_day_opened_at:
          type: string
          format: date
          nullable: true
        accounting_day_closed_at:
          type: string
          format: date
          nullable: true
        opened_at:
          type: string
          format: date-time
        closed_at:
          type: string
          format: date-time
          nullable: true
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````